Page MenuHomePhabricator

Enable Visual Editor on all namespaces of Polish Wikipedia
Closed, ResolvedPublic1 Story Points

Description

Currently VE is enabled in most namespaces on Polish Wikipedia, but not all of them. Most importantly it's unavailable in the Wikipedia: namespace. Yet that's where our School and university projects are located (and where users often need to sign up or train, or copy some content to their sandbox, or copy over a citation template prepared in advance for people taking part in an Editathon).

As the namespace is also used by our village pump (Kawiarenka) and AfD (Poczekalnia), that is pages where people discuss, vote and need to be able to sign up, it would be beneficial to simultaneously fix T133978.

We held a discussion in our village pump and the result of the voting was 8:2 in favour of the proposed change.

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptApr 29 2016, 10:51 AM
Urbanecm triaged this task as Normal priority.
Urbanecm added a subscriber: Urbanecm.

I'll do it with T133978.

Urbanecm added a comment.EditedApr 29 2016, 1:58 PM

@Halibutt I am not sure if you want to enable VE on really all namespaces (including MediaWiki: and Template:).

List of namespaces with enabled VE after my patch will be applied

  • Main namespace
  • Wikipedia:
  • Wikiproject:
  • Portal:
  • User:
  • File:
  • Help:
  • Category:

List of namespaces with disabled VE after my patch will by applied

  • Template:
  • MediaWiki:
  • Talk pages

Is this ok or should we modify this setting?

You're welcome :)

Yeah, that's what I had in mind. :)

Personally I would love to see VE work on talk pages as well since we can't have Flow, but I guess it was never meant to work there. EOT

This comment was removed by Halibutt.

Technically is possible to enable VE in every namespace you want even if it's talk namespace. But if it wasn't discussed, i think that we should enable VE only in non-talk NS. When I'll be home (about 21:00 CEST), I'll send this patch to review and I'll schedule it for Monday 17:00-18:00 CEST.

Change 286287 had a related patch set uploaded (by Urbanecm):
Enable Visual Editor on all namespaces of plwiki

https://gerrit.wikimedia.org/r/286287

Change 286287 merged by jenkins-bot:
Enable Visual Editor in NS_PROJECT on plwiki

https://gerrit.wikimedia.org/r/286287

Urbanecm closed this task as Resolved.May 2 2016, 4:04 PM
Urbanecm moved this task from Working on to Done on the Wikimedia-Site-requests board.

Deployed.

Jdforrester-WMF set the point value for this task to 1.May 10 2016, 1:33 AM
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.